HTMLDocument.HTMLReader.FormAction (Java SE 14 & JDK 14)
Description: declaration: module: java.desktop, package: javax.swing.text.html, class: HTMLDocument, class: HTMLReader, class: FormAction
Keywords: javax.swing.text.html.HTMLDocument.HTMLReader.FormAction class

Module java.desktop
Package javax.swing.text.html

# Class HTMLDocument.HTMLReader.FormAction

java.lang.Object
javax.swing.text.html.HTMLDocument.HTMLReader.TagAction
javax.swing.text.html.HTMLDocument.HTMLReader.SpecialAction
javax.swing.text.html.HTMLDocument.HTMLReader.FormAction

Enclosing class:
  HTMLDocument.HTMLReader

    public class HTMLDocument.HTMLReader.FormAction
    extends HTMLDocument.HTMLReader.SpecialAction

Action to support forms by building all of the elements used to represent form controls. This will process the <INPUT>, <TEXTAREA>, <SELECT>, and <OPTION> tags. The element created by this action is expected to have the attribute `StyleConstants.ModelAttribute` set to the model that holds the state for the form control. This enables multiple views, and allows document to be iterated over picking up the data of the form. The following are the model assignments for the various type of form elements.

Model assignments for the various types of form elements
Element Type | Model Type
--- | ---
input, type button | `DefaultButtonModel`
input, type checkbox | `JToggleButton.ToggleButtonModel`
input, type image | `DefaultButtonModel`
input, type password | `PlainDocument`
input, type radio | `JToggleButton.ToggleButtonModel`
input, type reset | `DefaultButtonModel`
input, type submit | `DefaultButtonModel`
input, type text or type is null. | `PlainDocument`
select | `DefaultComboBoxModel` or an `DefaultListModel`, with an item type of Option
textarea | `PlainDocument`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FormAction()` |

- ## Method Summary

  ### Methods declared in class javax.swing.text.html.HTMLDocument.HTMLReader.TagAction

  `end, start`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FormAction

    public FormAction()